%define dname	%{name}d

Name:		spice-vdagent
Version:	0.17.0
Release:	%mkrel 2
Summary:	Agent for Spice guests
Group:		System/X11
License:	GPLv3+
URL:            https://spice-space.org/
Source0:        http://spice-space.org/download/releases/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	spice-protocol >= 0.12.6
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	dbus-devel
BuildRequires:	libtool

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper >= %{rpmhelper_required_version}
Requires(preun): rpm-helper >= %{rpmhelper_required_version}

Provides:	%{name}-gdm = %{version}-%{release}
Obsoletes:	%{name}-gdm <= 0.16.0-3.mga6

%description
Spice agent for Linux guests offering the following features:

Features:
* Client mouse mode (no need to grab mouse by client, no mouse lag)
  this is handled by the daemon by feeding mouse events into the kernel
  via uinput. This will only work if the active X-session is running a
  spice-vdagent process so that its resolution can be determined.
* Automatic adjustment of the X-session resolution to the client resolution
* Support of copy and paste (text and images) between the active X-session
  and the client


%prep
%setup -q
%autopatch -p1


%build
autoreconf -vfi
%configure2_5x --with-session-info=systemd --with-init-script=systemd
%make_build


%install
%make_install


%post
%_tmpfilescreate %{dname}
%_post_service %{dname}

%preun
%_preun_service %{dname}

%postun
%_postun_service %{dname}

%files
%doc COPYING ChangeLog README TODO
/lib/udev/rules.d/70-spice-vdagentd.rules
%{_unitdir}/spice-vdagentd.service
%{_unitdir}/spice-vdagentd.target
%{_tmpfilesdir}/%{dname}.conf
%{_bindir}/spice-vdagent
%{_sbindir}/spice-vdagentd
%{_sysconfdir}/xdg/autostart/spice-vdagent.desktop
# For /usr/share/gdm/autostart/LoginWindow/spice-vdagent.desktop
# We own the dir too, otherwise we must Require gdm
%{_datadir}/gdm
%{_mandir}/man1/%{name}*.1*


%changelog
* Wed Jan 11 2017 tmb <tmb> 0.17.0-2.mga6
+ Revision: 1081034
- rebuild for missing package

* Tue Dec 06 2016 tv <tv> 0.17.0-1.mga6
+ Revision: 1072736
- switch to upstream systemd macros

* Thu Jun 16 2016 daviddavid <daviddavid> 0.16.0-5.mga6
+ Revision: 1021787
- add patch from debian to fix build with new systemd
- switch BRs to pkgconfig()

* Sat Apr 23 2016 tv <tv> 0.16.0-4.mga6
+ Revision: 1005771
- switch to upstream systemd macros
- merge back gdm subpackage into main package
- drop wrong requires on gdm

* Sat Apr 23 2016 tv <tv> 0.16.0-3.mga6
+ Revision: 1005562
- actually apply patches

* Sat Apr 23 2016 tv <tv> 0.16.0-2.mga6
+ Revision: 1005475
+ rebuild (emptylog)

* Sat Apr 23 2016 tv <tv> 0.16.0-1.mga6
+ Revision: 1005468
- new release

* Tue Feb 09 2016 umeabot <umeabot> 0.15.0-3.mga6
+ Revision: 952381
- Mageia 6 Mass Rebuild

* Thu Feb 19 2015 alien <alien> 0.15.0-2.mga5
+ Revision: 815802
- Fix service startup

* Wed Feb 18 2015 alien <alien> 0.15.0-1.mga5
+ Revision: 815667
- imported package spice-vdagent

